norm

- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
norm
Complete List of ArrayFire Functions ArrayFire Functions by Category » Linear Algebra » | Matrix operations

Find the norm of the input matrix. More...

## Functions
AFAPI double | norm (const array &in, const normType type=AF_NORM_EUCLID, const double p=1, const double q=1)
| C++ Interface for norm of a matrix. More...
AFAPI af_err | af_norm (double *out, const af_array in, const af_norm_type type, const double p, const double q)
| C Interface for norm of a matrix. More...

## Detailed Description

Find the norm of the input matrix.

This function can return the norm using various metrics based on the type paramter.

Note
  AF_NORM_MATRIX_2 is currently not supported.

## Function Documentation

AFAPI af_err af_norm | ( | double * | out,
|  | const af_array | in,
|  | const af_norm_type | type,
|  | const double | p,
|  | const double | q
| ) |  |

C Interface for norm of a matrix.

Parameters

  [out] | out | will contain the norm of `in`
  [in] | in | is the input matrix
  [in] | type | specifies the af::normType. Default: AF_NORM_VECTOR_1
  [in] | p | specifies the value of P when `type` is one of AF_NORM_VECTOR_P, AF_NORM_MATRIX_L_PQ is used. It is ignored for other values of `type`
  [in] | q | specifies the value of Q when `type` is AF_NORM_MATRIX_L_PQ. This parameter is ignored if `type` is anything else

AFAPI double af::norm | ( | const array & | in,
|  | const normType | type = `AF_NORM_EUCLID`,
|  | const double | p = `1`,
|  | const double | q = `1`
| ) |  |

C++ Interface for norm of a matrix.

Parameters

  [in] | in | is the input matrix
  [in] | type | specifies the af::normType. Default: AF_NORM_VECTOR_1
  [in] | p | specifies the value of P when `type` is one of AF_NORM_VECTOR_P, AF_NORM_MATRIX_L_PQ is used. It is ignored for other values of `type`
  [in] | q | specifies the value of Q when `type` is AF_NORM_MATRIX_L_PQ. This parameter is ignored if `type` is anything else

Returns
  the norm of `inbased` on `type`

Examples:
  image_processing/filters.cpp.